import { jsx } from "react/jsx-runtime";
import { TokenTET as TokenTET$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenTET = forwardRef(
  ({ variant = "mono", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, alt: "TET", "data-name": "TokenTET", ...props, children: /* @__PURE__ */ jsx(TokenTET$1, { variant }) });
  }
);
TokenTET.displayName = "TokenTET";
Object.assign(TokenTET, { isGdsIcon: true });
export {
  TokenTET
};
